package com.huigou.topsun.ep.change.application.impl;

import com.huigou.topsun.ep.change.application.EpChangeFormImplItemApplication;
import com.huigou.topsun.ep.change.domain.EpChangeFormImplItem;
import com.huigou.topsun.ep.change.repository.EpChangeFormImplItemRepository;
import com.huigou.uasp.bmp.common.application.BaseApplication;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/11:48
 * @Description:
 */
@Service("epChangeFormImplItemApplication")
public class EpChangeFormImplItemApplicationImpl extends BaseApplication implements EpChangeFormImplItemApplication {
    @Autowired
    private EpChangeFormImplItemRepository changeFormImplItemRepository;
    @Override
    public List<EpChangeFormImplItem> findByEpChangeFormId(String epChangeFormId) {
        return changeFormImplItemRepository.findByEpChangeFormId(epChangeFormId);
    }

    @Override
    public void saveEpChangeFormImplItems(String epChangeFormId, List<EpChangeFormImplItem> items) {
        for (EpChangeFormImplItem item : items) {
            item.setEpChangeFormId(epChangeFormId);
        }
        changeFormImplItemRepository.save(items);
    }

    @Override
    public void deleteItems(List<String> ids) {
        for (String id : ids) {
            changeFormImplItemRepository.delete(id);
        }
    }
}
