package com.huigou.topsun.ep.change.domain;

import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Auther: xin.lu
 * @Date: 2024/06/19/9:53
 * @Description: 宝绅内部变更申请/通知单
 */
@Data
@Entity
@Table(name = "ep_change_form")
public class EpChangeForm extends FlowBillAbstractEntity {
    /**
     * 品牌编码
     */
    @Column(name = "brand_code")
    private String brandCode;

    /**
     * 品牌名称
     */
    @Column(name = "brand_name")
    private String brandName;

    /**
     * 变更原因
     * REASON FOR CHANGE变更原因:
     * □ BRAND CHANGE客户变更      □ BSN PROCESS CHANGE内部工艺变更       □ OTHERS其它
     */
    @Column(name = "reason_for_change")
    private String reasonForChange;

    /**
     * 生效日期:
     * □ IMMEDIATE立即变更           □ RUNNING CHANGE 正常变更（用完后变更）  £ SEASON换季更改
     */
    @Column(name = "change_effective")
    private String changeEffective;

    //CURRENT SPEC 目前产品信息

    /**
     * 产品代号
     */
    @Column(name = "pd")
    private String pd;

    /**
     * 产品名称
     */
    @Column(name = "product_name")
    private String productName;

    /**
     * 制程工艺
     */
    @Column(name = "process")
    private String process;

    /**
     * 原材料
     */
    @Column(name = "material")
    private String material;

    /**
     * 其他
     */
    @Column(name = "others")
    private String others;


    //变更后产品信息

    /**
     * 产品代号
     */
    @Column(name = "changed_pd")
    private String changedPd;

    /**
     * 产品名称
     */
    @Column(name = "changed_product_name")
    private String changedProductName;

    /**
     * 制程工艺
     */
    @Column(name = "changed_process")
    private String changedProcess;

    /**
     * 原材料
     */
    @Column(name = "changed_material")
    private String changedMaterial;

    /**
     * 其他
     */
    @Column(name = "changed_others")
    private String changedOthers;

    /**
     * 版本id
     */
    @Column(name = "production_solution_id")
    private String productionSolutionId;

    @Column(name = "code")
    private String code;

    @Column(name = "msg")
    private String msg;

    @Override
    protected String getCodeRuleId() {
        return "epChangeForm";
    }
}
